package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFHH1 extends MwfRequest<MWFHH1, MWFHH1Response> {

    @Parameter(name = "CastkaTransakceDo")
    MWFHH1 castkaTransakceDo(Double castkaTransakceDo);
    @Parameter(name = "CastkaTransakceOd")
    MWFHH1 castkaTransakceOd(Double castkaTransakceOd);
    @Parameter(name = "ChybovyStatusTransakce")
    MWFHH1 chybovyStatusTransakce(String chybovyStatusTransakce);
    @Parameter(name = "CisloUctu")
    MWFHH1 cisloUctu(String cisloUctu);
    @Parameter(name = "CisloUctuPredcisli")
    MWFHH1 cisloUctuPredcisli(String cisloUctuPredcisli);
    @Parameter(name = "DatumSplatnostiDo")
    MWFHH1 datumSplatnostiDo(java.util.Date datumSplatnostiDo);
    @Parameter(name = "DatumSplatnostiOd")
    MWFHH1 datumSplatnostiOd(java.util.Date datumSplatnostiOd);
    @Parameter(name = "ExtDuvodOdmitnuti")
    MWFHH1 extDuvodOdmitnuti(String extDuvodOdmitnuti);
    @Parameter(name = "IDTransakce")
    MWFHH1 iDTransakce(String iDTransakce);
    @Parameter(name = "INCURSOR")
    MWFHH1 incursor(Long incursor);
    @Parameter(name = "INROWS")
    MWFHH1 inrows(Long inrows);
    @Parameter(name = "ProtistranaBanka")
    MWFHH1 protistranaBanka(String protistranaBanka);
    @Parameter(name = "ProtistranaCisloUctu")
    MWFHH1 protistranaCisloUctu(String protistranaCisloUctu);
    @Parameter(name = "ProtistranaCisloUctuSpojene")
    MWFHH1 protistranaCisloUctuSpojene(String protistranaCisloUctuSpojene);
    @Parameter(name = "ProtistranaPredcisli")
    MWFHH1 protistranaPredcisli(String protistranaPredcisli);
    @Parameter(name = "SpecifickySymbol")
    MWFHH1 specifickySymbol(Long specifickySymbol);
    @Parameter(name = "TypTransakce")
    MWFHH1 typTransakce(String typTransakce);
    @Parameter(name = "VariabilniSymbol")
    MWFHH1 variabilniSymbol(Long variabilniSymbol);
}
